ServerEvents.recipes(event => {
//brick conversion
  event.shapeless(
    Item.of('immersiveengineering:cokebrick', 1),
    [
      'tfmg:coke_oven'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:blastbrick', 1),
    [
      'tfmg:fireproof_bricks'
    ]
  ),
//relays
  event.shapeless(
    Item.of('immersiveengineering:connector_lv_relay', 1),
    [
      'tfmg:brass_cable_hub'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:connector_lv_relay', 1),
    [
      'tfmg:copper_cable_hub'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:connector_lv_relay', 1),
    [
      'tfmg:steel_cable_hub'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:connector_lv_relay', 1),
    [
      'tfmg:aluminum_cable_hub'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:connector_lv_relay', 1),
    [
      'tfmg:steel_casing_cable_hub'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:connector_lv_relay', 1),
    [
      'tfmg:heavy_cable_hub'
    ]
  ),
//cable shit
  event.shapeless(
    Item.of('immersiveengineering:wirecoil_copper', 1),
    [
      'tfmg:copper_cable'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:wirecoil_copper', 1),
    [
      'tfmg:cable_tube'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:wirecoil_copper', 1),
    [
      'tfmg:diagonal_cable_block'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:connector_lv', 1),
    [
      'tfmg:cable_connector'
    ]
  ),
//accumulators
  event.shapeless(
    Item.of('immersiveengineering:capacitor_lv', 1),
    [
      'tfmg:accumulator'
    ]
  ),
  event.shapeless(
    Item.of('immersiveengineering:capacitor_lv', 1),
    [
      'tfmg:capacitor'
    ]
  ),
  event.shapeless(
    Item.of('createaddition:alternator', 1),
    [
      'tfmg:generator'
    ]
  ),
  event.shapeless(
    Item.of('createaddition:electric_motor', 1),
    [
      'tfmg:electric_motor'
    ]
  ),
//napalm
  event.shapeless(
    Item.of('crusty_chunks:ordinance_incendiary_warhead', 1),
    [
      'tfmg:napalm_bomb'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:incendiary_bottle', 1),
    [
      'tfmg:napalm_potato'
    ]
  ),
//conversions :hollow:
  event.shapeless(
    Item.of('kubejs:asphalt', 1),
    [
      'tfmg:asphalt'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cinderblock', 1),
    [
      'tfmg:cinder_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cinder_flour_block', 1),
    [
      'tfmg:cinderflour_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cement', 1),
    [
      'tfmg:cement'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:factory_floor', 1),
    [
      'tfmg:factory_floor'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:hardened_planks', 1),
    [
      'tfmg:hardened_planks'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:rebar_concrete', 1),
    [
      'tfmg:rebar_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:concrete', 1),
    [
      'tfmg:concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:black_concrete', 1),
    [
      'tfmg:black_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:blue_concrete', 1),
    [
      'tfmg:blue_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:brown_concrete', 1),
    [
      'tfmg:brown_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cyan_concrete', 1),
    [
      'tfmg:cyan_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:gray_concrete', 1),
    [
      'tfmg:gray_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:green_concrete', 1),
    [
      'tfmg:green_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:light_blue_concrete', 1),
    [
      'tfmg:light_blue_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:light_gray_concrete', 1),
    [
      'tfmg:light_gray_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:lime_concrete', 1),
    [
      'tfmg:lime_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:magenta_concrete', 1),
    [
      'tfmg:magenta_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:orange_concrete', 1),
    [
      'tfmg:orange_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:pink_concrete', 1),
    [
      'tfmg:pink_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:purple_concrete', 1),
    [
      'tfmg:purple_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:red_concrete', 1),
    [
      'tfmg:red_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:white_concrete', 1),
    [
      'tfmg:white_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:yellow_concrete', 1),
    [
      'tfmg:yellow_concrete'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:black_caution_block', 1),
    [
      'tfmg:black_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:blue_caution_block', 1),
    [
      'tfmg:blue_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:brown_caution_block', 1),
    [
      'tfmg:brown_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cyan_caution_block', 1),
    [
      'tfmg:cyan_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:gray_caution_block', 1),
    [
      'tfmg:gray_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:green_caution_block', 1),
    [
      'tfmg:green_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:light_blue_caution_block', 1),
    [
      'tfmg:light_blue_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:light_gray_caution_block', 1),
    [
      'tfmg:light_gray_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:lime_caution_block', 1),
    [
      'tfmg:lime_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:magenta_caution_block', 1),
    [
      'tfmg:magenta_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:orange_caution_block', 1),
    [
      'tfmg:orange_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:pink_caution_block', 1),
    [
      'tfmg:pink_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:purple_caution_block', 1),
    [
      'tfmg:purple_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:red_caution_block', 1),
    [
      'tfmg:red_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:white_caution_block', 1),
    [
      'tfmg:white_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:yellow_caution_block', 1),
    [
      'tfmg:yellow_caution_block'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:bauxite', 1),
    [
      'tfmg:bauxite'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cut_bauxite', 1),
    [
      'tfmg:cut_bauxite'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cut_bauxite_bricks', 1),
    [
      'tfmg:cut_bauxite_bricks'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:polished_cut_bauxite', 1),
    [
      'tfmg:polished_cut_bauxite'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cut_bauxite_small_bricks', 1),
    [
      'tfmg:small_bauxite_bricks'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:galena', 1),
    [
      'tfmg:galena'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cut_galena', 1),
    [
      'tfmg:cut_galena'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cut_galena_bricks', 1),
    [
      'tfmg:cut_galena_bricks'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:polished_cut_galena', 1),
    [
      'tfmg:polished_cut_galena'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:cut_galena_small_bricks', 1),
    [
      'tfmg:small_galena_bricks'
    ]
  ),
//pipes
  event.shapeless(
    Item.of('create:fluid_pipe', 1),
    [
      'tfmg:steel_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:fluid_pipe', 1),
    [
      'tfmg:cast_iron_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:fluid_pipe', 1),
    [
      'tfmg:brass_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:fluid_pipe', 1),
    [
      'tfmg:plastic_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:fluid_pipe', 1),
    [
      'tfmg:aluminum_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:smart_fluid_pipe', 1),
    [
      'tfmg:steel_smart_fluid_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:smart_fluid_pipe', 1),
    [
      'tfmg:cast_iron_smart_fluid_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:smart_fluid_pipe', 1),
    [
      'tfmg:brass_smart_fluid_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:smart_fluid_pipe', 1),
    [
      'tfmg:plastic_smart_fluid_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:smart_fluid_pipe', 1),
    [
      'tfmg:aluminum_smart_fluid_pipe'
    ]
  ),
  event.shapeless(
    Item.of('create:mechanical_pump', 1),
    [
      'tfmg:steel_mechanical_pump'
    ]
  ),
  event.shapeless(
    Item.of('create:mechanical_pump', 1),
    [
      'tfmg:cast_iron_mechanical_pump'
    ]
  ),
  event.shapeless(
    Item.of('create:mechanical_pump', 1),
    [
      'tfmg:brass_mechanical_pump'
    ]
  ),
  event.shapeless(
    Item.of('create:mechanical_pump', 1),
    [
      'tfmg:plastic_mechanical_pump'
    ]
  ),
  event.shapeless(
    Item.of('create:mechanical_pump', 1),
    [
      'tfmg:aluminum_mechanical_pump'
    ]
  ),
  event.shapeless(
    Item.of('create:fluid_tank', 1),
    [
      'tfmg:steel_fluid_tank'
    ]
  )
})